Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.oracle
Class Oracle8ModelReader

    java.lang.Object
      org.apache.ddlutils.platform.JdbcModelReader
          org.apache.ddlutils.platform.oracle.Oracle8ModelReader

Direct Known Subclasses:
  Oracle10ModelReader

    public class Oracle8ModelReader

extends JdbcModelReader

Reads a database model from an Oracle 8 database.

Version:
  $Revision: $

Constructor Summary
`Oracle8ModelReader(Platform platform)` Creates a new model reader for Oracle 8 databases.

Method Summary
`protected void` | `determineAutoIncrementColumns(Table table)` Helper method that determines the auto increment status using Firebird's system tables.
`protected boolean` | `isAutoIncrement(Table table, Column column)` Tries to determine whether the given column is an identity column.
`protected Column` | `readColumn(DatabaseMetaDataWrapper metaData, Map values)` Extracts a column definition from the result set.
`protected Collection` | `readIndices(DatabaseMetaDataWrapper metaData, String tableName)` Determines the indices for the indicated table.
`protected Table` | `readTable(DatabaseMetaDataWrapper metaData, Map values)` Reads the next table from the meta data.

Methods inherited from class org.apache.ddlutils.platform.JdbcModelReader
`determineAutoIncrementFromResultSetMetaData, determineSchemaOf, getColumnsForColumn, getColumnsForFK, getColumnsForIndex, getColumnsForPK, getColumnsForTable, getConnection, getDatabase, getDatabase, getDefaultCatalogPattern, getDefaultColumnPattern, getDefaultSchemaPattern, getDefaultTablePattern, getDefaultTableTypes, getPlatform, getPlatformInfo, initColumnsForColumn, initColumnsForFK, initColumnsForIndex, initColumnsForPK, initColumnsForTable, isInternalForeignKeyIndex, isInternalPrimaryKeyIndex, matches, readColumns, readColumns, readForeignKey, readForeignKeys, readIndex, readPrimaryKeyName, readPrimaryKeyNames, readTables, removeInternalForeignKeyIndex, removeInternalPrimaryKeyIndex, removeSystemIndices, setDefaultCatalogPattern, setDefaultColumnPattern, setDefaultSchemaPattern, setDefaultTablePattern, setDefaultTableTypes, sortForeignKeys, unescape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Oracle8ModelReader

    public Oracle8ModelReader(Platform platform)

  Creates a new model reader for Oracle 8 databases.

  Parameters:
    `platform` - The platform that this model reader belongs to

Method Detail

### readTable

    protected Table readTable(DatabaseMetaDataWrapper metaData,
                              Map values)
                       throws SQLException

  Reads the next table from the meta data.

  Overrides:
    `readTable` in class `JdbcModelReader`
  Parameters:
    `metaData` - The database meta data
    `values` - The table metadata values as defined by `JdbcModelReader.getColumnsForTable()`
  Returns:
    The table or `null` if the result set row did not contain a valid table
  Throws:
    `SQLException`

### readColumn

    protected Column readColumn(DatabaseMetaDataWrapper metaData,
                                Map values)
                         throws SQLException

  Extracts a column definition from the result set.

  Overrides:
    `readColumn` in class `JdbcModelReader`
  Parameters:
    `metaData` - The database meta data
    `values` - The column meta data values as defined by `JdbcModelReader.getColumnsForColumn()`
  Returns:
    The column
  Throws:
    `SQLException`

### determineAutoIncrementColumns

    protected void determineAutoIncrementColumns(Table table)
                                          throws SQLException

  Helper method that determines the auto increment status using Firebird's system tables.

  Parameters:
    `table` - The table
  Throws:
    `SQLException`

### isAutoIncrement

    protected boolean isAutoIncrement(Table table,
                                      Column column)
                               throws SQLException

  Tries to determine whether the given column is an identity column.

  Parameters:
    `table` - The table
    `column` - The column
  Returns:
    `true` if the column is an identity column
  Throws:
    `SQLException`

### readIndices

    protected Collection readIndices(DatabaseMetaDataWrapper metaData,
                                     String tableName)
                              throws SQLException

  Determines the indices for the indicated table.

  Overrides:
    `readIndices` in class `JdbcModelReader`
  Parameters:
    `metaData` - The database meta data
    `tableName` - The name of the table
  Returns:
    The list of indices
  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.